See You Again

不要随便升级Android SDK

最近项目做工程结构调整,之前的Ant打包流程改为 grandle配合 Android Studio。build.gradle 里指定了编译工具版本号 23.0.3,CI服务器上没有装这个,我于是运行了命令升级 android update sdk -a -u,没想到然后就影响到了其他项目的打包。。
可能不同的项目用 JDK6、JDK7、JDK8 的都有,某些项目没指定 build tools 版本的话就会默认用最新的。。但是不同的 build tools 版本对Java版本的要求也不一样。。就引起问题

总结就是工具、版本这些东西真的重要,要保持服务器跟开发环境的严格统一。我们的开发同学用 linux 还真的是明智。

2016-07-02 喜欢

Copyright © 2015-2018 转载请注明出处

回到顶部 ↑